package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SchemeMapper;
import com.ruoyi.system.domain.Scheme;
import com.ruoyi.system.service.ISchemeService;

/**
 * 方案表 服务实现
 *
 * @author ruoyi
 */
@Service
public class SchemeServiceImpl implements ISchemeService
{
    @Autowired
    private SchemeMapper schemeMapper;

    /**
     * 查询方案集合
     *
     * @param scheme 方案信息
     * @return 方案集合
     */
    @Override
    public List<Scheme> selectSchemeList(Scheme scheme)
    {
        return schemeMapper.selectSchemeList(scheme);
    }

    /**
     * 分页查询方案集合
     *
     * @param scheme 方案信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectSchemeListByPage(Scheme scheme, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<Scheme> list = schemeMapper.selectSchemeList(scheme);
        PageInfo<Scheme> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询方案信息
     *
     * @param id 主键ID
     * @return 方案信息
     */
    @Override
    public Scheme selectSchemeById(Long id)
    {
        return schemeMapper.selectSchemeById(id);
    }

    @Override
    public Scheme selectSchemeschemeid(String schemeId) {
        return schemeMapper.selectSchemeschemeid(schemeId);
    }

    /**
     * 新增方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    @Override
    public int insertScheme(Scheme scheme)
    {
        return schemeMapper.insertScheme(scheme);
    }

    /**
     * 修改方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    @Override
    public int updateScheme(Scheme scheme)
    {
        return schemeMapper.updateScheme(scheme);
    }

    /**
     * 删除方案信息
     *
     * @param id 主键ID
     * @return 结果
     */
    @Override
    public int deleteSchemeById(Long id)
    {
        return schemeMapper.deleteSchemeById(id);
    }

    /**
     * 批量删除方案信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteSchemeByIds(Long[] ids)
    {
        return schemeMapper.deleteSchemeByIds(ids);
    }
}